{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "$insert rds_equ\r\n\r\nDataSent = CreateParam\r\n\r\nconvert @fm to @rm in DataSent\r\n\r\nControls = 'OO_EX1/OO_EX1_NAME/OO_EX1_DATE/OO_EX1_TIME/'\r\nControls:= 'OI_EX2/OI_EX2_NAME/OI_EX2_DATE/OI_EX2_TIME/'\r\nControls:= 'OO_EX2/OO_EX2_NAME/OO_EX2_DATE/OO_EX2_TIME/'\r\nControls:= 'OI_EX3/OI_EX3_NAME/OI_EX3_DATE/OI_EX3_TIME'\r\nswap '/' with @rm:@window:'.' in Controls\r\n\r\nControls = @window:'.':Controls\r\nVoid = set_property( @window, '@Controls', Controls )\r\nVoid = set_property( Controls, 'INVALUE', DataSent )\r\n\r\n/* WAS ORIGINALLY GOING TO DO THE READING HERE BUT WILL HAVE IT READ AND STORED IN A WINDOW VARIABLE\r\n * IN THE RDS ITSELF AND PASS THE DATA TO THIS WINDOW\r\n.oo_ex1->text = RDSRec<rds_op_out_ex1$>\r\n.oo_ex1_name->text = oconv( RDSRec<rds_op_out_ex1$>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n.oo_ex1_date->text = oconv( RDSRec<rds_op_out_ex1_date$>, 'D2/' )\r\n.oo_ex1_time->text = oconv( RDSREc<rds_op_out_ex1_time$>, 'MTH' )\r\n**************\r\n.oi_ex2->text = RDSRec<rds_op_in_ex2$>\r\n.oi_ex2_name->text = oconv( RDSRec<rds_op_in_ex2$>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n.oi_ex2_date->text = oconv( RDSRec<rds_op_in_ex2_date$>, 'D2/' )\r\n.oi_ex2_time->text = oconv( RDSREc<rds_op_in_ex2_time$>, 'MTH' )\r\n**************\r\n.oo_ex2->text = RDSRec<rds_op_out_ex2$>\r\n.oo_ex2_name->text = oconv( RDSRec<rds_op_out_ex2$>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n.oo_ex2_date->text = oconv( RDSRec<rds_op_out_ex2_date$>, 'D2/' )\r\n.oo_ex2_time->text = oconv( RDSREc<rds_op_out_ex2_time$>, 'MTH' )\r\n**************\r\n.oi_ex3->text = RDSRec<rds_op_in_ex3$>\r\n.oi_ex3_name->text = oconv( RDSRec<rds_op_in_ex3$>, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n.oi_ex3_date->text = oconv( RDSRec<rds_op_in_ex3_date$>, 'D2/' )\r\n.oi_ex3_time->text = oconv( RDSREc<rds_op_in_ex3_time$>, 'MTH' )\r\n**************\r\n*/\r\nRETURN 0"
        }
    }
}